function init(hero) {
    hero.setName("Quake/Daisy Johnson");
    hero.setTier(5);
    
    hero.setHelmet("Hair");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("tgheroes:vibro_manip");
	hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
	hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.15, 1);

    hero.addKeyBind("ENERGY_PROJECTION", "Vibro Beam", 1);
    hero.addKeyBind("SHIELD", "Vibtofield", 3);
    hero.addKeyBind("GRAVITY_MANIPULATION", "key.gravityManip", 2);
	hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("GUN_RELOAD", "key.reload", 4);

    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.supplyFunction("canAim", entity => entity.getHeldItem().isGun());
    hero.setHasPermission((entity, permission) => permission == "USE_GUN");
}
function isKeyBindEnabled(entity, keyBind) {
       return keyBind != "GUN_RELOAD" || entity.getHeldItem().isGun();
   switch (keyBind) {
    case "ENERGY_PROJECTION":
        return !entity.getData("fiskheroes:gravity_manip");
    case "GRAVITY_MANIPULATION":
        return !entity.getData("fiskheroes:energy_projection");
    default:
        return true;
    }
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && entity.getData("fiskheroes:gravity_manip");
}